LogoSignature Service
Workflow EngineEvents

Send an event to a workflow

POST
/api/admin/event

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Data object representing an event sent to a workflow

Response Body

application/json

curl -X POST "https://example.com/api/admin/event" \  -H "Content-Type: application/json" \  -d '{    "contractId": "string",    "name": "string"  }'
{  "callbackURL": "string",  "childContracts": [    {}  ],  "date": "2019-08-24T14:15:22Z",  "domainName": "string",  "errors": [    {      "code": "string",      "data": "string",      "date": "2019-08-24T14:15:22Z",      "message": "string"    }  ],  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "metaData": {    "property1": "string",    "property2": "string"  },  "multiSignaturesWorkflowId": "string",  "payload": "string",  "responses": [    {      "context": {        "property1": "string",        "property2": "string"      },      "contractId": "string",      "data": "string",      "date": "2019-08-24T14:15:22Z",      "domainName": "string",      "id": "string",      "rejectionMessage": "string",      "response": "string",      "signature": "string",      "username": "string"    }  ],  "state": "string",  "type": "string",  "usernames": [    "string"  ],  "workflowId": "string"}